JH_MANIFEST(1)

NAME
jh_manifest - Adds or/and modifies manifests for jars

SYNOPSIS
jh_manifest [debhelper options] [options] jar1 ... jarN

jh_manifest [debhelper options] [options]

DESCRIPTION
Javahelper tool to add or update manifests in a jar file. It can be used in two modes. If passed jar files, it will only process these jar files. Otherwise it will update all jar files in the packages it acts on.

When processing a package, the debhelper(7) exclude option will make jh_manifest ignore matching jar files.

FILES

debian/package.manifest (or debian/manifest)
    This file consist of a list of jar files and values to add to their manifests. Values in this file will take precedence over values in the original manifest (and command line arguments over values in this file).

    It is allowed to list a link in this file instead of an actual jar file, provided that the link can be resolved when jh_manifest processes it.

    If a jar file is listed here cannot be found, jh_manifest will print a warning, unless the jar file has been excluded.

    As of javahelper >= 0.32, you may add comments in this file. If the line starts with a "#" it is completely ignored.

    This file is ignored if jh_manifest is passed jar files via command line.

OPTIONS

-c classpath, --classpath=classpath
    Sets the Class-Path attribute of all processed jar files to classpath.

    If not passed, then the CLASSPATH environment variable will be used in the given jar file do not have a Class-Path attribute.

-m class, --main=class
    Sets the Main-Class attribute to class in all processed jar files.

--javaopts=options
    Sets the Debian-Java-Parameters to options in all processed jar files. This attribute is used by jarwrapper to start java with extra options (e.g. to make more memory available).

-j /path/to/java/home, --java-home=/path/to/java/home
    Sets the Debian-Java-Home attribute to /path/to/java/home in all processed jars. This attribute is used by jarwrapper to determine which JVM to use.

EXAMPLES
An example debian/manifest file:

 # use the symlink so we do not have to update with the next upstream release.
 usr/share/java/my.jar:
  Class-Path: dep1.jar dep2.jar
  Main-Class: some.awesome.Class
 usr/share/java/dep2.jar:
  Class-Path: dep1.jar

SEE ALSO
debhelper(7)

This program is a part of javahelper and uses debhelper as backend. There are also tutorials in /usr/share/doc/javahelper.

AUTHOR
Niels Thykier <niels@thykier.net>

COPYRIGHT AND LICENSE
Copyright 2010 by Niels Thykier

This tool is free software; you may redistribute it and/or modify it under the terms of GNU GPL 2.